Bug 551 - Excel cannot open read-only files
Excel cannot open read-only files
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All FreeBSD
: P3 normal
: none
Assigned To: Jeremy Allison
:
: 911 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-01 12:01 UTC by Alex Deiter
Modified: 2005-08-24 10:22 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Deiter 2003-10-01 12:01:20 UTC
I have a problem with samba CVS 3.0.1pre1 on FreeBSD 5.1 (sparc64 and i386).
Network share \\samba\all contain Excel files with 0444 (read-only) mode:

# ls -l
-r--r--r--  1 tiamat  users  13824 Oct  1 14:02 excel.xls
-r--r--r--  1 tiamat  users  10752 Oct  1 22:29 word.doc

smb: \> ls
  .                                   D        0  Wed Oct  1 22:29:58 2003
  ..                                  D        0  Wed Oct  1 13:59:02 2003
  excel.xls                           R    13824  Wed Oct  1 14:02:38 2003
  word.doc                            R    10752  Wed Oct  1 22:29:48 2003

in smb.conf share all define as:

[all]
path = /home/all
browseable = yes
writeable = yes

Word opened file file.doc, Excel cannot opened file excel.xls with 
error "Cannot find excel.xls". (Excel 2000sp3 on Win2k-SP4 and Excel XP on 
WinXP-SP1). On samba 2.2.8a Excel successfully opens read-only files.

smbd log (log level=3):

[2003/10/01 22:43:20, 3] smbd/service.c:make_connection_snum(705)
  ad (10.0.0.1) connect to service IPC$ initially as user nobody (uid=65534, 
gid=65534) (pid 58066)
[2003/10/01 22:43:20, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:20, 3] smbd/reply.c:reply_tcon_and_X(314)
  tconX service=IPC$
[2003/10/01 22:43:20, 3] smbd/process.c:process_smb(890)
  Transaction 211 of length 104
[2003/10/01 22:43:20, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 58066)
[2003/10/01 22:43:20, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:20, 3] smbd/nttrans.c:nt_open_pipe(503)
  nt_open_pipe: Known pipe srvsvc opening.
[2003/10/01 22:43:22, 3] smbd/process.c:process_smb(890)
  Transaction 212 of length 140
[2003/10/01 22:43:22, 3] smbd/process.c:switch_message(685)
  switch message SMBwriteX (pid 58066)
[2003/10/01 22:43:22, 3] rpc_server/srv_pipe.c:api_pipe_bind_req(855)
  api_pipe_bind_req: \PIPE\srvsvc -> \PIPE\ntsvcs
[2003/10/01 22:43:22, 3] rpc_server/srv_pipe.c:check_bind_req(727)
  check_bind_req for \PIPE\srvsvc
[2003/10/01 22:43:22, 3] smbd/pipes.c:reply_pipe_write_and_X(199)
  writeX-IPC pnum=7531 nwritten=72
[2003/10/01 22:43:22, 3] smbd/process.c:process_smb(890)
  Transaction 213 of length 104
[2003/10/01 22:43:22, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 58066)
[2003/10/01 22:43:22, 3] smbd/nttrans.c:nt_open_pipe(503)
  nt_open_pipe: Known pipe srvsvc opening.
[2003/10/01 22:43:24, 3] smbd/process.c:process_smb(890)
  Transaction 214 of length 63
[2003/10/01 22:43:24, 3] smbd/process.c:switch_message(685)
  switch message SMBreadX (pid 58066)
[2003/10/01 22:43:24, 3] smbd/pipes.c:reply_pipe_read_and_X(242)
  readX-IPC pnum=7531 min=1024 max=1024 nread=68
[2003/10/01 22:43:24, 3] smbd/process.c:process_smb(890)
  Transaction 215 of length 140
[2003/10/01 22:43:24, 3] smbd/process.c:switch_message(685)
  switch message SMBwriteX (pid 58066)
[2003/10/01 22:43:24, 3] rpc_server/srv_pipe.c:api_pipe_bind_req(855)
  api_pipe_bind_req: \PIPE\srvsvc -> \PIPE\ntsvcs
[2003/10/01 22:43:24, 3] rpc_server/srv_pipe.c:check_bind_req(727)
  check_bind_req for \PIPE\srvsvc
[2003/10/01 22:43:24, 3] smbd/pipes.c:reply_pipe_write_and_X(199)
  writeX-IPC pnum=7532 nwritten=72
[2003/10/01 22:43:25, 3] smbd/process.c:process_smb(890)
  Transaction 216 of length 148
[2003/10/01 22:43:25, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans (pid 58066)
[2003/10/01 22:43:25, 3] smbd/ipc.c:reply_trans(514)
  trans <\PIPE\> data=60 params=0 setup=2
[2003/10/01 22:43:25, 3] smbd/ipc.c:named_pipe(326)
  named pipe command on <> name
[2003/10/01 22:43:25, 3] smbd/ipc.c:api_fd_reply(288)
  Got API command 0x26 on pipe "srvsvc" (pnum 7531)free_pipe_context: 
destroying talloc pool of size 0
[2003/10/01 22:43:25, 3] rpc_server/srv_pipe.c:api_rpcTNP(1495)
  api_rpcTNP: rpc command: SRV_NET_SRV_GET_INFO
[2003/10/01 22:43:25, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 1176
[2003/10/01 22:43:25, 3] smbd/process.c:process_smb(890)
  Transaction 217 of length 63
[2003/10/01 22:43:25, 3] smbd/process.c:switch_message(685)
  switch message SMBreadX (pid 58066)
[2003/10/01 22:43:25, 3] smbd/pipes.c:reply_pipe_read_and_X(242)
  readX-IPC pnum=7532 min=1024 max=1024 nread=68
[2003/10/01 22:43:26, 3] smbd/process.c:process_smb(890)
  Transaction 218 of length 45
[2003/10/01 22:43:26, 3] smbd/process.c:switch_message(685)
  switch message SMBclose (pid 58066)
[2003/10/01 22:43:26, 3] smbd/process.c:process_smb(890)
  Transaction 219 of length 168
[2003/10/01 22:43:26, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans (pid 58066)
[2003/10/01 22:43:26, 3] smbd/ipc.c:reply_trans(514)
  trans <\PIPE\> data=80 params=0 setup=2
[2003/10/01 22:43:26, 3] smbd/ipc.c:named_pipe(326)
  named pipe command on <> name
[2003/10/01 22:43:26, 3] smbd/ipc.c:api_fd_reply(288)
  Got API command 0x26 on pipe "srvsvc" (pnum 7532)free_pipe_context: 
destroying talloc pool of size 0
[2003/10/01 22:43:26, 3] rpc_server/srv_pipe.c:api_rpcTNP(1495)
  api_rpcTNP: rpc command: SRV_NET_SHARE_GET_INFO
[2003/10/01 22:43:26, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 1048
[2003/10/01 22:43:26, 3] smbd/process.c:process_smb(890)
  Transaction 220 of length 104
[2003/10/01 22:43:26, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 58066)
[2003/10/01 22:43:26, 3] smbd/nttrans.c:nt_open_pipe(503)
  nt_open_pipe: Known pipe wkssvc opening.
[2003/10/01 22:43:27, 3] smbd/process.c:process_smb(890)
  Transaction 221 of length 45
[2003/10/01 22:43:27, 3] smbd/process.c:switch_message(685)
  switch message SMBclose (pid 58066)
[2003/10/01 22:43:27, 3] smbd/process.c:process_smb(890)
  Transaction 222 of length 140
[2003/10/01 22:43:27, 3] smbd/process.c:switch_message(685)
  switch message SMBwriteX (pid 58066)
[2003/10/01 22:43:27, 3] rpc_server/srv_pipe.c:api_pipe_bind_req(855)
  api_pipe_bind_req: \PIPE\wkssvc -> \PIPE\ntsvcs
[2003/10/01 22:43:27, 3] rpc_server/srv_pipe.c:check_bind_req(727)
  check_bind_req for \PIPE\wkssvc
[2003/10/01 22:43:27, 3] smbd/pipes.c:reply_pipe_write_and_X(199)
  writeX-IPC pnum=7533 nwritten=72
[2003/10/01 22:43:28, 3] smbd/process.c:process_smb(890)
  Transaction 223 of length 80
[2003/10/01 22:43:28, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:28, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:28, 3] smbd/trans2.c:call_trans2qfilepathinfo(1901)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2003/10/01 22:43:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name []
[2003/10/01 22:43:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [.]
[2003/10/01 22:43:28, 3] smbd/trans2.c:call_trans2qfilepathinfo(1929)
  call_trans2qfilepathinfo . (fnum = -1) level=1004 call=5 total_data=0
[2003/10/01 22:43:28, 3] smbd/process.c:process_smb(890)
  Transaction 224 of length 63
[2003/10/01 22:43:28, 3] smbd/process.c:switch_message(685)
  switch message SMBreadX (pid 58066)
[2003/10/01 22:43:28, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:28, 3] smbd/pipes.c:reply_pipe_read_and_X(242)
  readX-IPC pnum=7533 min=1024 max=1024 nread=68
[2003/10/01 22:43:29, 3] smbd/process.c:process_smb(890)
  Transaction 225 of length 74
[2003/10/01 22:43:29, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:29, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:29, 3] smbd/trans2.c:call_trans2qfsinfo(1393)
  call_trans2qfsinfo: level = 258
[2003/10/01 22:43:29, 3] smbd/process.c:process_smb(890)
  Transaction 226 of length 148
[2003/10/01 22:43:29, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans (pid 58066)
[2003/10/01 22:43:29, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:29, 3] smbd/ipc.c:reply_trans(514)
  trans <\PIPE\> data=60 params=0 setup=2
[2003/10/01 22:43:29, 3] smbd/ipc.c:named_pipe(326)
  named pipe command on <> name
[2003/10/01 22:43:29, 3] smbd/ipc.c:api_fd_reply(288)
  Got API command 0x26 on pipe "wkssvc" (pnum 7533)free_pipe_context: 
destroying talloc pool of size 0
[2003/10/01 22:43:29, 3] rpc_server/srv_pipe.c:api_rpcTNP(1495)
  api_rpcTNP: rpc command: WKS_Q_QUERY_INFO
[2003/10/01 22:43:29, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 1112
[2003/10/01 22:43:29, 3] smbd/process.c:process_smb(890)
  Transaction 227 of length 80
[2003/10/01 22:43:29, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:29, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:29, 3] smbd/trans2.c:call_trans2qfilepathinfo(1901)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1005
[2003/10/01 22:43:29, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name []
[2003/10/01 22:43:29, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [.]
[2003/10/01 22:43:29, 3] smbd/trans2.c:call_trans2qfilepathinfo(1929)
  call_trans2qfilepathinfo . (fnum = -1) level=1005 call=5 total_data=0
[2003/10/01 22:43:30, 3] smbd/process.c:process_smb(890)
  Transaction 228 of length 45
[2003/10/01 22:43:30, 3] smbd/process.c:switch_message(685)
  switch message SMBclose (pid 58066)
[2003/10/01 22:43:30, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:30, 3] smbd/process.c:process_smb(890)
  Transaction 229 of length 80
[2003/10/01 22:43:30, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:30, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:30, 3] smbd/trans2.c:call_trans2qfilepathinfo(1901)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1006
[2003/10/01 22:43:30, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name []
[2003/10/01 22:43:30, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [.]
[2003/10/01 22:43:30, 3] smbd/trans2.c:call_trans2qfilepathinfo(1929)
  call_trans2qfilepathinfo . (fnum = -1) level=1006 call=5 total_data=0
[2003/10/01 22:43:31, 3] smbd/process.c:process_smb(890)
  Transaction 230 of length 104
[2003/10/01 22:43:31, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 58066)
[2003/10/01 22:43:31, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:31, 3] smbd/nttrans.c:nt_open_pipe(503)
  nt_open_pipe: Known pipe srvsvc opening.
[2003/10/01 22:43:32, 3] smbd/process.c:process_smb(890)
  Transaction 231 of length 80
[2003/10/01 22:43:32, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:32, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:32, 3] smbd/trans2.c:call_trans2qfilepathinfo(1901)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1007
[2003/10/01 22:43:32, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name []
[2003/10/01 22:43:32, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [.]
[2003/10/01 22:43:32, 3] smbd/trans2.c:call_trans2qfilepathinfo(1929)
  call_trans2qfilepathinfo . (fnum = -1) level=1007 call=5 total_data=0
[2003/10/01 22:43:32, 3] smbd/process.c:process_smb(890)
  Transaction 232 of length 140
[2003/10/01 22:43:32, 3] smbd/process.c:switch_message(685)
  switch message SMBwriteX (pid 58066)
[2003/10/01 22:43:32, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:32, 3] rpc_server/srv_pipe.c:api_pipe_bind_req(855)
  api_pipe_bind_req: \PIPE\srvsvc -> \PIPE\ntsvcs
[2003/10/01 22:43:32, 3] rpc_server/srv_pipe.c:check_bind_req(727)
  check_bind_req for \PIPE\srvsvc
[2003/10/01 22:43:32, 3] smbd/pipes.c:reply_pipe_write_and_X(199)
  writeX-IPC pnum=7534 nwritten=72
[2003/10/01 22:43:32, 3] smbd/process.c:process_smb(890)
  Transaction 233 of length 90
[2003/10/01 22:43:32, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 58066)
[2003/10/01 22:43:32, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:32, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name []
[2003/10/01 22:43:32, 3] smbd/dosmode.c:unix_mode(110)
  unix_mode(.) returning 0744
[2003/10/01 22:43:32, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [.]
[2003/10/01 22:43:33, 3] smbd/process.c:process_smb(890)
  Transaction 234 of length 63
[2003/10/01 22:43:33, 3] smbd/process.c:switch_message(685)
  switch message SMBreadX (pid 58066)
[2003/10/01 22:43:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:33, 3] smbd/pipes.c:reply_pipe_read_and_X(242)
  readX-IPC pnum=7534 min=1024 max=1024 nread=68
[2003/10/01 22:43:33, 3] smbd/process.c:process_smb(890)
  Transaction 235 of length 43
[2003/10/01 22:43:33, 3] smbd/process.c:switch_message(685)
  switch message SMBulogoffX (pid 58066)
[2003/10/01 22:43:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:33, 3] smbd/reply.c:reply_ulogoffX(1055)
  ulogoffX vuid=105
[2003/10/01 22:43:34, 3] smbd/process.c:process_smb(890)
  Transaction 236 of length 88
[2003/10/01 22:43:34, 3] smbd/process.c:switch_message(685)
  switch message SMBnttrans (pid 58066)
[2003/10/01 22:43:34, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:34, 3] smbd/process.c:process_smb(890)
  Transaction 237 of length 168
[2003/10/01 22:43:34, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans (pid 58066)
[2003/10/01 22:43:34, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:34, 3] smbd/ipc.c:reply_trans(514)
  trans <\PIPE\> data=80 params=0 setup=2
[2003/10/01 22:43:34, 3] smbd/ipc.c:named_pipe(326)
  named pipe command on <> name
[2003/10/01 22:43:34, 3] smbd/ipc.c:api_fd_reply(288)
  Got API command 0x26 on pipe "srvsvc" (pnum 7534)free_pipe_context: 
destroying talloc pool of size 0
[2003/10/01 22:43:34, 3] rpc_server/srv_pipe.c:api_rpcTNP(1495)
  api_rpcTNP: rpc command: SRV_NET_SHARE_GET_INFO
[2003/10/01 22:43:34, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 1048
[2003/10/01 22:43:34, 3] smbd/process.c:process_smb(890)
  Transaction 238 of length 39
[2003/10/01 22:43:34, 3] smbd/process.c:switch_message(685)
  switch message SMBtdis (pid 58066)
[2003/10/01 22:43:34, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:34, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:34, 3] smbd/service.c:close_cnum(887)
  ad (10.0.0.1) closed connection to service IPC$
[2003/10/01 22:43:34, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to IPC$
[2003/10/01 22:43:34, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:35, 3] smbd/process.c:process_smb(890)
  Transaction 239 of length 74
[2003/10/01 22:43:35, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:35, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:35, 3] smbd/trans2.c:call_trans2qfsinfo(1393)
  call_trans2qfsinfo: level = 1008
[2003/10/01 22:43:35, 3] smbd/process.c:process_smb(890)
  Transaction 240 of length 45
[2003/10/01 22:43:35, 3] smbd/process.c:switch_message(685)
  switch message SMBclose (pid 58066)
[2003/10/01 22:43:35, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:36, 3] smbd/process.c:process_smb(890)
  Transaction 241 of length 45
[2003/10/01 22:43:36, 3] smbd/process.c:switch_message(685)
  switch message SMBclose (pid 58066)
[2003/10/01 22:43:36, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:36, 3] smbd/reply.c:reply_close(2449)
  close directory fnum=9098
[2003/10/01 22:43:37, 3] smbd/process.c:process_smb(890)
  Transaction 242 of length 104
[2003/10/01 22:43:37, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 58066)
[2003/10/01 22:43:37, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:37, 3] smbd/nttrans.c:nt_open_pipe(503)
  nt_open_pipe: Known pipe wkssvc opening.
[2003/10/01 22:43:37, 3] smbd/process.c:process_smb(890)
  Transaction 243 of length 140
[2003/10/01 22:43:37, 3] smbd/process.c:switch_message(685)
  switch message SMBwriteX (pid 58066)
[2003/10/01 22:43:37, 3] rpc_server/srv_pipe.c:api_pipe_bind_req(855)
  api_pipe_bind_req: \PIPE\wkssvc -> \PIPE\ntsvcs
[2003/10/01 22:43:37, 3] rpc_server/srv_pipe.c:check_bind_req(727)
  check_bind_req for \PIPE\wkssvc
[2003/10/01 22:43:37, 3] smbd/pipes.c:reply_pipe_write_and_X(199)
  writeX-IPC pnum=7535 nwritten=72
[2003/10/01 22:43:38, 3] smbd/process.c:process_smb(890)
  Transaction 244 of length 63
[2003/10/01 22:43:38, 3] smbd/process.c:switch_message(685)
  switch message SMBreadX (pid 58066)
[2003/10/01 22:43:38, 3] smbd/pipes.c:reply_pipe_read_and_X(242)
  readX-IPC pnum=7535 min=1024 max=1024 nread=68
[2003/10/01 22:43:39, 3] smbd/process.c:process_smb(890)
  Transaction 245 of length 148
[2003/10/01 22:43:39, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans (pid 58066)
[2003/10/01 22:43:39, 3] smbd/ipc.c:reply_trans(514)
  trans <\PIPE\> data=60 params=0 setup=2
[2003/10/01 22:43:39, 3] smbd/ipc.c:named_pipe(326)
  named pipe command on <> name
[2003/10/01 22:43:39, 3] smbd/ipc.c:api_fd_reply(288)
  Got API command 0x26 on pipe "wkssvc" (pnum 7535)free_pipe_context: 
destroying talloc pool of size 0
[2003/10/01 22:43:39, 3] rpc_server/srv_pipe.c:api_rpcTNP(1495)
  api_rpcTNP: rpc command: WKS_Q_QUERY_INFO
[2003/10/01 22:43:39, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 1112
[2003/10/01 22:43:39, 3] smbd/process.c:process_smb(890)
  Transaction 246 of length 45
[2003/10/01 22:43:39, 3] smbd/process.c:switch_message(685)
  switch message SMBclose (pid 58066)
[2003/10/01 22:43:40, 3] smbd/process.c:process_smb(890)
  Transaction 247 of length 80
[2003/10/01 22:43:40, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:40, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:40, 3] smbd/trans2.c:call_trans2qfilepathinfo(1901)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2003/10/01 22:43:40, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name []
[2003/10/01 22:43:40, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [.]
[2003/10/01 22:43:40, 3] smbd/trans2.c:call_trans2qfilepathinfo(1929)
  call_trans2qfilepathinfo . (fnum = -1) level=1004 call=5 total_data=0
[2003/10/01 22:43:41, 3] smbd/process.c:process_smb(890)
  Transaction 248 of length 106
[2003/10/01 22:43:41, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:41, 3] smbd/trans2.c:call_trans2findfirst(951)
  call_trans2findfirst: dirtype = 22, maxentries = 1366, close_after_first=1, 
close_if_end = 1 requires_resume_key = 1 level = 260, max_data_bytes = 16384
[2003/10/01 22:43:41, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/excel.xls]
[2003/10/01 22:43:41, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [excel.xls]
[2003/10/01 22:43:41, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [./]
[2003/10/01 22:43:41, 3] smbd/dir.c:dptr_create(491)
  creating new dirptr 256 for path ./, expect_close = 1
[2003/10/01 22:43:41, 3] smbd/process.c:process_smb(890)
  Transaction 249 of length 106
[2003/10/01 22:43:41, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:41, 3] smbd/trans2.c:call_trans2findfirst(951)
  call_trans2findfirst: dirtype = 22, maxentries = 1366, close_after_first=1, 
close_if_end = 1 requires_resume_key = 1 level = 260, max_data_bytes = 16384
[2003/10/01 22:43:41, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/excel.xls]
[2003/10/01 22:43:41, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [excel.xls]
[2003/10/01 22:43:41, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [./]
[2003/10/01 22:43:41, 3] smbd/dir.c:dptr_create(491)
  creating new dirptr 256 for path ./, expect_close = 1
[2003/10/01 22:43:41, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:42, 3] smbd/process.c:process_smb(890)
  Transaction 250 of length 100
[2003/10/01 22:43:42, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:42, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (333, 333) - sec_ctx_stack_ndx = 0
[2003/10/01 22:43:42, 3] smbd/trans2.c:call_trans2qfilepathinfo(1901)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2003/10/01 22:43:42, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/excel.xls]
[2003/10/01 22:43:42, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [excel.xls]
[2003/10/01 22:43:42, 3] smbd/trans2.c:call_trans2qfilepathinfo(1929)
  call_trans2qfilepathinfo excel.xls (fnum = -1) level=1004 call=5 total_data=0
[2003/10/01 22:43:43, 3] smbd/process.c:process_smb(890)
  Transaction 251 of length 110
[2003/10/01 22:43:43, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 58066)
[2003/10/01 22:43:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/excel.xls]
[2003/10/01 22:43:43, 3] smbd/dosmode.c:unix_mode(110)
  unix_mode(excel.xls) returning 0744
[2003/10/01 22:43:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [excel.xls]
[2003/10/01 22:43:43, 2] smbd/open.c:open_file(250)
  cboss opened file excel.xls read=Yes write=No (numopen=2)
[2003/10/01 22:43:44, 3] smbd/process.c:process_smb(890)
  Transaction 252 of length 76
[2003/10/01 22:43:44, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 58066)
[2003/10/01 22:43:44, 3] smbd/trans2.c:call_trans2qfilepathinfo(1841)
  call_trans2qfilepathinfo: TRANSACT2_QFILEINFO: level = 1006
[2003/10/01 22:43:44, 3] smbd/trans2.c:call_trans2qfilepathinfo(1929)
  call_trans2qfilepathinfo excel.xls (fnum = 9099) level=1006 call=7 
total_data=0
[2003/10/01 22:43:44, 3] smbd/process.c:process_smb(890)
  Transaction 253 of length 63
[2003/10/01 22:43:44, 3] smbd/process.c:switch_message(685)
  switch message SMBreadX (pid 58066)
[2003/10/01 22:43:44, 3] smbd/reply.c:send_file_readX(1827)
  send_file_readX: sendfile fnum=9099 max=4096 nread=-1
[2003/10/01 22:43:45, 3] smbd/process.c:process_smb(890)
  Transaction 254 of length 45
[2003/10/01 22:43:45, 3] smbd/process.c:switch_message(685)
  switch message SMBclose (pid 58066)
[2003/10/01 22:43:45, 3] smbd/reply.c:reply_close(2463)
  close fd=25 fnum=9099 (numopen=2)
[2003/10/01 22:43:45, 2] smbd/close.c:close_normal_file(228)
  cboss closed file excel.xls (numopen=1)
[2003/10/01 22:43:46, 3] smbd/process.c:process_smb(890)
  Transaction 255 of length 110
[2003/10/01 22:43:46, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 58066)
[2003/10/01 22:43:46, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/excel.xls]
[2003/10/01 22:43:46, 3] smbd/dosmode.c:unix_mode(110)
  unix_mode(excel.xls) returning 0744
[2003/10/01 22:43:46, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [excel.xls]
[2003/10/01 22:43:46, 3] smbd/error.c:error_packet(94)
  error string = Permission denied
[2003/10/01 22:43:46, 3] smbd/error.c:error_packet(113)
  error packet at smbd/trans2.c(1797) cmd=162 (SMBntcreateX) 
NT_STATUS_NO_SUCH_FILE

Thanks!
Comment 1 Jeremy Allison 2003-10-02 10:54:51 UTC
Fixed in SAMBA_3_0 and HEAD CVS.
Jeremy.
Comment 2 Jeremy Allison 2004-01-07 15:30:27 UTC
*** Bug 911 has been marked as a duplicate of this bug. ***
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:22:02 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.